## remind 3.0.16

=== Makefile ===
# Makefile for REMIND
# $Id: Makefile,v 1.18 1997/01/16 04:31:07 dfs Exp $

#-----------------------------------------------------------------------------
# THINGS FOR YOU TO EDIT START BELOW
#-----------------------------------------------------------------------------

# Uncomment the next line if you are running on a SYSV system
SYSV= -DSYSV

# Uncomment the next line if you are running under UNIX (including SYSV!)
UNIX= -DUNIX

# Uncomment the next lines if you want to use gcc instead of default compiler
# NOTE:  Tempting as it may be, if you use 'cc' for the C compiler, do not
# use 'ld' for the linker.  It will probably work much better if you use
# LD= cc rather than LD= ld.
CC= gcc
LD= gcc

# Put any additional flags for the C compiler or linker here - if you
# are not using gcc, you probably want to remove '-ansi -pedantic -Wall'.
CFLAGS= -O -ansi -pedantic -Wall
CDEFS=
LDFLAGS=

#### INSTALLATION LOCATIONS ####
# Note that I use 'cp' rather than 'install' for improved portability.
#
# BINDIR:  Where should the Remind executable be installed?
BINDIR= /usr/local/bin

# SCRIPTDIR:  Where should the kall and rem shell scripts be installed?
SCRIPTDIR= /usr/local/bin

# MANDIR:  Where should the man pages be installed?
MANDIR= /usr/local/man

# MANSECT:  Which man section should the man pages go into?
MANSECT= 1

# EXEMODE:  What file protection mode should be used for the executables?
EXEMODE= 755

# MANMODE:  What file protection mode should be used for the man pages?
MANMODE= 644

# OWNER, GROUP:  What owner and group to use for executables,
# scripts and man pages?
OWNER=bin
GROUP=bin

#-----------------------------------------------------------------------------
# YOU SHOULDN'T EDIT ANYTHING BELOW HERE.  You may want to change some things
# in config.h; then, you should be able to type 'make'.
#-----------------------------------------------------------------------------
VERSION= 03.00.16
MATHLIB= -lm

HDRS= config.h err.h expr.h globals.h protos.h types.h version.h \
lang.h english.h german.h dutch.h finnish.h french.h norwgian.h \
danish.h polish.h

STDHDRS= config.h types.h protos.h globals.h err.h lang.h

LANGHDRS= english.h german.h dutch.h finnish.h french.h norwgian.h danish.h \
polish.h portbr.h italian.h

SRCS= calendar.c dorem.c dosubst.c expr.c files.c funcs.c globals.c hbcal.c \
init.c main.c moon.c omit.c sort.c queue.c token.c trigger.c userfns.c \
utils.c var.c

MANIFEST=COPYRIGHT Makefile Makefile_QDOS README.AMIGA README.BCC \
README.DOS README.OS2 README.UNIX README_QDOS WHATSNEW.30 \
amiga-SCOPTIONS amiga.c calendar.c config.h danish.h defs.rem dorem.c \
dosubst.c dutch.h english.h err.h expr.c expr.h files.c finnish.h \
french.h funcs.c german.h globals.c globals.h hbcal.c init.c italian.h kall \
kall.1 lang.h lnk.bcc lnk.msc lnk.tc main.c makefile.bcc makefile.msc \
makefile.os2 makefile.tc moon.c norwgian.h omit.c os2func.c polish.h \
protos.h queue.c rem rem.1 rem2ps.1 rem2ps.c rem2ps.h remind-all.csh \
remind-all.sh remind.1 remind.def smakefile sort.c test-rem \
test-rem.ami test-rem.bat test-rem.cmd test-rem.rexx test.cmp test.rem \
test1.cmp test2.cmp tkremind tkremind.1 token.c trigger.c tstlang.rem \
types.h userfns.c utils.c var.c version.h remind.LSM portbr.h

OBJS= $(SRCS:.c=.o)

all: remind rem2ps

.c.o:
	$(CC) $(UNIX) $(SYSV) -c $(CFLAGS) $(CDEFS) $*.c

rem2ps: rem2ps.o
	$(LD) $(LDFLAGS) -o rem2ps rem2ps.o

remind: $(OBJS)
	$(LD) $(LDFLAGS) -o remind $(OBJS) $(MATHLIB)

clean:
	rm -f *.o *~ core *.bak

clobber:
	rm -f *.o *~ remind rem2ps test.out core *.bak

test: remind
	sh test-rem

rem2ps.o: rem2ps.c rem2ps.h lang.h config.h
calendar.o: calendar.c $(STDHDRS) expr.h
dorem.o: dorem.c $(STDHDRS) expr.h
dosubst.o: dosubst.c $(STDHDRS) $(LANGHDRS)
expr.o: expr.c $(STDHDRS) expr.h
files.o: files.c $(STDHDRS)
funcs.o: funcs.c $(STDHDRS) expr.h version.h
globals.o: globals.c config.h types.h globals.h err.h lang.h $(LANGHDRS)
hbcal.o: hbcal.c $(STDHDRS)
init.o: init.c $(STDHDRS) expr.h version.h lang.h $(LANGHDRS)
main.o: main.c $(STDHDRS) expr.h
moon.o: moon.c $(STDHDRS)
omit.o: omit.c $(STDHDRS)
sort.o: sort.c $(STDHDRS)
queue.o: queue.c $(STDHDRS)
token.o: token.c $(STDHDRS)
trigger.o: trigger.c $(STDHDRS) expr.h
userfns.o: userfns.c $(STDHDRS) expr.h
utils.o: utils.c $(STDHDRS)
var.o: var.c $(STDHDRS) expr.h

# Some of these targets are just for my convenience and
# probably won't be too useful to you! -- dfs

tgz:
	-rm -rf remind-$(VERSION)
	-mkdir remind-$(VERSION)
	cd remind-$(VERSION); for i in www $(MANIFEST) ;do ln -s ../$$i .; done; cd ..
	tar --exclude CVS -c -h -v -f remind-3.0.16.tar remind-$(VERSION)
	gzip -v -9 remind-3.0.16.tar
	mv remind-3.0.16.tar.gz remind-3.0.16.tgz
	rm -rf remind-$(VERSION)

shar:
	shar -o./Shar -sdfs@doe.carleton.ca -a -c -n"Remind $(VERSION)" -m -l58 -o./Shar www $(MANIFEST)

backup:
	tar cvzf ../rbackup.tgz www $(MANIFEST)

zip:
	zip ../rbackup.zip www $(MANIFEST)

transmit:
	sz -a -e $(MANIFEST) www/*

install:  install-bin install-scripts install-man

install-bin: remind rem2ps
	cp remind $(BINDIR)/remind
	-chmod $(EXEMODE) $(BINDIR)/remind
	-chown $(OWNER) $(BINDIR)/remind
	-chgrp $(GROUP) $(BINDIR)/remind
	cp rem2ps $(BINDIR)/rem2ps
	-chmod $(EXEMODE) $(BINDIR)/rem2ps
	-chown $(OWNER) $(BINDIR)/rem2ps
	-chgrp $(GROUP) $(BINDIR)/rem2ps

install-scripts:
	cp kall $(SCRIPTDIR)/kall
	-chmod $(EXEMODE) $(SCRIPTDIR)/kall
	-chown $(OWNER) $(SCRIPTDIR)/kall
	-chgrp $(GROUP) $(SCRIPTDIR)/kall
	cp rem $(SCRIPTDIR)/rem
	-chmod $(EXEMODE) $(SCRIPTDIR)/rem
	-chown $(OWNER) $(SCRIPTDIR)/rem
	-chgrp $(GROUP) $(SCRIPTDIR)/rem
	cp tkremind $(SCRIPTDIR)/tkremind
	-chmod $(EXEMODE) $(SCRIPTDIR)/tkremind
	-chown $(OWNER) $(SCRIPTDIR)/tkremind
	-chgrp $(GROUP) $(SCRIPTDIR)/tkremind

install-man:
	cp remind.1 $(MANDIR)/man$(MANSECT)/remind.$(MANSECT)
	-chmod $(MANMODE) $(MANDIR)/man$(MANSECT)/remind.$(MANSECT)
	-chown $(OWNER) $(MANDIR)/man$(MANSECT)/remind.$(MANSECT)
	-chgrp $(GROUP) $(MANDIR)/man$(MANSECT)/remind.$(MANSECT)
	cp tkremind.1 $(MANDIR)/man$(MANSECT)/tkremind.$(MANSECT)
	-chmod $(MANMODE) $(MANDIR)/man$(MANSECT)/tkremind.$(MANSECT)
	-chown $(OWNER) $(MANDIR)/man$(MANSECT)/tkremind.$(MANSECT)
	-chgrp $(GROUP) $(MANDIR)/man$(MANSECT)/tkremind.$(MANSECT)
	cp rem.1 $(MANDIR)/man$(MANSECT)/rem.$(MANSECT)
	-chmod $(MANMODE) $(MANDIR)/man$(MANSECT)/rem.$(MANSECT)
	-chown $(OWNER) $(MANDIR)/man$(MANSECT)/rem.$(MANSECT)
	-chgrp $(GROUP) $(MANDIR)/man$(MANSECT)/rem.$(MANSECT)
	cp kall.1 $(MANDIR)/man$(MANSECT)/kall.$(MANSECT)
	-chmod $(MANMODE) $(MANDIR)/man$(MANSECT)/kall.$(MANSECT)
	-chown $(OWNER) $(MANDIR)/man$(MANSECT)/kall.$(MANSECT)
	-chgrp $(GROUP) $(MANDIR)/man$(MANSECT)/kall.$(MANSECT)
	cp rem2ps.1 $(MANDIR)/man$(MANSECT)/rem2ps.$(MANSECT)
	-chmod $(MANMODE) $(MANDIR)/man$(MANSECT)/rem2ps.$(MANSECT)
	-chown $(OWNER) $(MANDIR)/man$(MANSECT)/rem2ps.$(MANSECT)
	-chgrp $(GROUP) $(MANDIR)/man$(MANSECT)/rem2ps.$(MANSECT)

=== www/Makefile ===
# Makefile for installing WWW server calendar scripts
# This file is part of REMIND.
# Copyright (C) 1992-1997 by David F. Skoll

# $Id: Makefile,v 1.4 1997/01/19 03:59:55 dfs Exp $

# The complete name of your www host.  Example: www.mycompany.com
WWWHOST = shevy.skoll.ca
# WWWHOST = www.mycompany.com
 
# The complete path to where the scripts actually live, as seen by
# the UNIX operating system.
SCRIPTDIR = /var/web/cgi-bin
# SCRIPTDIR = /home/dfs/Remind/www/TEST

# Where the scripts live as seen from the outside world.  If
# they live in WWWHOST/cgi-bin, supply /cgi-bin
CGIDIR = /cgi-bin

# The complete path to the HTML file "calendar.html".  This is a sample
# file containing links to all the scripts.  This path should be the
# path as seen by the UNIX operating system
HTMLDIR = /home/dfs/public_html

# Location.  Typically, the name of your city or town.  Example: Ottawa
LOCATION = Ottawa
# LOCATION = New York

# Where do Remind and Rem2PS executables live?
REMIND = /usr/local/bin/remind
REM2PS = /usr/local/bin/rem2ps

# Don't change stuff below here.
# --------------------------------------------------------------------

# Construct a rotten mean nasty sed script to do the dirty work
SEDSCRIPT = -e 's/Ottawa/$(LOCATION)/g' \
	    -e 's@http://your.machine/your.dir@http://$(WWWHOST)$(CGIDIR)@g' \
	    -e 's@%SCRIPTDIR%@$(SCRIPTDIR)@g' \
	    -e 's@%REMIND%@$(REMIND)@g' \
	    -e 's@%REM2PS%@$(REM2PS)@g'

all:
	@echo "Edit the Makefile; then type 'make install' to install"
	@echo "the www server scripts."

# OK, it's abominable.  But it works...
install:
	cp calps hebdate hebps moon sunrise sunset $(SCRIPTDIR)
	sed $(SEDSCRIPT) < cal_dispatch-DIST  > $(SCRIPTDIR)/cal_dispatch
	sed $(SEDSCRIPT) < hebdate.rem-DIST   > $(SCRIPTDIR)/hebdate.rem
	sed $(SEDSCRIPT) < moon.rem-DIST      > $(SCRIPTDIR)/moon.rem
	sed $(SEDSCRIPT) < sunrise.rem-DIST   > $(SCRIPTDIR)/sunrise.rem
	sed $(SEDSCRIPT) < sunset.rem-DIST    > $(SCRIPTDIR)/sunset.rem
	sed $(SEDSCRIPT) < calendar.html-DIST > $(HTMLDIR)/calendar.html
	chmod 644 $(SCRIPTDIR)/sunrise.rem
	chmod 644 $(SCRIPTDIR)/moon.rem
	chmod 644 $(SCRIPTDIR)/hebdate.rem
	chmod 644 $(SCRIPTDIR)/sunset.rem
	chmod 644 $(HTMLDIR)/calendar.html
	chmod 755 $(SCRIPTDIR)/cal_dispatch
	chmod 755 $(SCRIPTDIR)/calps $(SCRIPTDIR)/hebdate \
	$(SCRIPTDIR)/hebps $(SCRIPTDIR)/moon $(SCRIPTDIR)/sunrise \
	$(SCRIPTDIR)/sunset

## remind 03.00.18

=== Makefile ===
# Top-level Makefile for Remind.

# $Id: Makefile,v 1.27 1998/01/19 03:27:36 dfs Exp $

all: src/Makefile
	@echo ""
	@echo "*******************"
	@echo "*                 *"
	@echo "* Building REMIND *"
	@echo "*                 *"
	@echo "*******************"
	@echo ""
	@cd src; $(MAKE) all LANGDEF=$(LANGDEF)

install:
	@echo ""
	@echo "*********************"
	@echo "*                   *"
	@echo "* Installing REMIND *"
	@echo "*                   *"
	@echo "*********************"
	@echo ""
	cd src; $(MAKE) install

clean:
	find . -name '*~' -exec rm {} \;
	cd src; $(MAKE) clean


src/Makefile: src/Makefile.in
	./configure

=== www/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # This file is part of REMIND.
 # Copyright (C) 1992-1997 by David F. Skoll
 
-# $Id: Makefile,v 1.4 1997/01/19 03:59:55 dfs Exp $
+# $Id: Makefile,v 1.7 1997/08/31 17:17:51 dfs Exp $
 
 # The complete name of your www host.  Example: www.mycompany.com
 WWWHOST = shevy.skoll.ca
@@ -46,7 +46,7 @@
 
 # OK, it's abominable.  But it works...
 install:
-	cp calps hebdate hebps moon sunrise sunset $(SCRIPTDIR)
+	cp rem2html calps hebdate hebps hebhtml moon sunrise sunset $(SCRIPTDIR)
 	sed $(SEDSCRIPT) < cal_dispatch-DIST  > $(SCRIPTDIR)/cal_dispatch
 	sed $(SEDSCRIPT) < hebdate.rem-DIST   > $(SCRIPTDIR)/hebdate.rem
 	sed $(SEDSCRIPT) < moon.rem-DIST      > $(SCRIPTDIR)/moon.rem
@@ -61,4 +61,4 @@
 	chmod 755 $(SCRIPTDIR)/cal_dispatch
 	chmod 755 $(SCRIPTDIR)/calps $(SCRIPTDIR)/hebdate \
 	$(SCRIPTDIR)/hebps $(SCRIPTDIR)/moon $(SCRIPTDIR)/sunrise \
-	$(SCRIPTDIR)/sunset
+	$(SCRIPTDIR)/sunset $(SCRIPTDIR)/hebhtml $(SCRIPTDIR)/rem2html

## remind 03.00.19

=== www/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # This file is part of REMIND.
 # Copyright (C) 1992-1997 by David F. Skoll
 
-# $Id: Makefile,v 1.7 1997/08/31 17:17:51 dfs Exp $
+# $Id: Makefile,v 1.8 1998/04/23 02:57:06 dfs Exp $
 
 # The complete name of your www host.  Example: www.mycompany.com
 WWWHOST = shevy.skoll.ca
@@ -13,7 +13,7 @@
 SCRIPTDIR = /var/web/cgi-bin
 # SCRIPTDIR = /home/dfs/Remind/www/TEST
 
-# Where the scripts live as seen from the outside world.  If
+# Where the scripts live as seen by the web browser.  If
 # they live in WWWHOST/cgi-bin, supply /cgi-bin
 CGIDIR = /cgi-bin
 
@@ -21,6 +21,12 @@
 # file containing links to all the scripts.  This path should be the
 # path as seen by the UNIX operating system
 HTMLDIR = /home/dfs/public_html
+
+# Where you stick images, as seen by UNIX
+IMAGEDIR = /home/dfs/public_html
+
+# Where images are, as seen by web browers
+IMAGEBASE = /~dfs
 
 # Location.  Typically, the name of your city or town.  Example: Ottawa
 LOCATION = Ottawa
@@ -38,6 +44,7 @@
 	    -e 's@http://your.machine/your.dir@http://$(WWWHOST)$(CGIDIR)@g' \
 	    -e 's@%SCRIPTDIR%@$(SCRIPTDIR)@g' \
 	    -e 's@%REMIND%@$(REMIND)@g' \
+	    -e 's@%IMAGEBASE%@$(IMAGEBASE)@g' \
 	    -e 's@%REM2PS%@$(REM2PS)@g'
 
 all:
@@ -53,12 +60,21 @@
 	sed $(SEDSCRIPT) < sunrise.rem-DIST   > $(SCRIPTDIR)/sunrise.rem
 	sed $(SEDSCRIPT) < sunset.rem-DIST    > $(SCRIPTDIR)/sunset.rem
 	sed $(SEDSCRIPT) < calendar.html-DIST > $(HTMLDIR)/calendar.html
+	sed $(SEDSCRIPT) < rem2html           > $(SCRIPTDIR)/rem2html
 	chmod 644 $(SCRIPTDIR)/sunrise.rem
 	chmod 644 $(SCRIPTDIR)/moon.rem
 	chmod 644 $(SCRIPTDIR)/hebdate.rem
 	chmod 644 $(SCRIPTDIR)/sunset.rem
 	chmod 644 $(HTMLDIR)/calendar.html
 	chmod 755 $(SCRIPTDIR)/cal_dispatch
+	chmod 755 $(SCRIPTDIR)/rem2html
 	chmod 755 $(SCRIPTDIR)/calps $(SCRIPTDIR)/hebdate \
 	$(SCRIPTDIR)/hebps $(SCRIPTDIR)/moon $(SCRIPTDIR)/sunrise \
 	$(SCRIPTDIR)/sunset $(SCRIPTDIR)/hebhtml $(SCRIPTDIR)/rem2html
+
+	cp firstquarter.gif fullmoon.gif lastquarter.gif newmoon.gif $(IMAGEDIR)
+	chmod 644 $(IMAGEDIR)/firstquarter.gif $(IMAGEDIR)/fullmoon.gif $(IMAGEDIR)/lastquarter.gif $(IMAGEDIR)/newmoon.gif
+
+
+
+

## remind 03.00.22-1

=== debian/changelog ===
remind (03.00.22-1) unstable; urgency=low

  * NMU upload, maintainer seems to be missing.
  * Changed to main (now GPL) (Closes: #42402)
  * New upstream version (Closes: #59447)
  * Moved to use debconf.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 19 Feb 1999 13:36:15 -0500

remind (03.00.19-2) unstable; urgency=low

  * fixed #19399: lintian clean, kinda

 -- Paul Haggart <phaggart@debian.org>  Fri, 19 Feb 1999 13:36:15 -0500

remind (03.00.19-1) unstable; urgency=low

  * new upstream source

 -- Paul Haggart <phaggart@debian.org>  Mon, 18 May 1998 13:39:02 -0400

remind (03.00.18-2) frozen; urgency=low

  * put me back in the archive .. non-free/utils if you would

 -- Paul Haggart <phaggart@debian.org>  Sun, 15 Mar 1998 14:25:18 -0500

remind (03.00.18-1) unstable; urgency=low

  * new upstream version
  * updated to latest standards revision
  * move me to non-free/misc! (fixed #14361)

 -- Paul Haggart <phaggart@debian.org>  Sat,  7 Mar 1998 15:50:01 -0500

remind (03.00.17-4) unstable; urgency=low

  * moved to non-free/misc because of -stoopid- copyright

 -- Paul Haggart <phaggart@debian.org>  Tue, 18 Nov 1997 18:28:43 -0500

remind (03.00.17-3) unstable; urgency=low

  * finally found out about virtual package 'wish', so we'll use that
    instead of a versioned TK.

 -- Paul Haggart <phaggart@debian.org>  Sun,  2 Nov 1997 09:51:33 -0500

remind (03.00.17-2) unstable; urgency=low

  * suggests tk8.0 instead of tk80 (doooh!) 

 -- Paul Haggart <phaggart@debian.org>  Fri, 17 Oct 1997 12:21:18 -0400

remind (03.00.17-1) unstable; urgency=low

  * got rid of supposed bashism in debian/rules
  * fixed changelog to point to correct file
  * new upstream version (fixed bug #13412)
  * pristine sources used
  * email addr in debian/control changed from debian.com to debian.org 

 -- Paul Haggart <phaggart@debian.org>  Sun, 12 Oct 1997 18:48:33 -0400

remind (3.0.16-3) unstable; urgency=low

  * using tk80 now..

 -- Paul Haggart <phaggart@debian.org>  Thu, 11 Sep 1997 08:24:02 -0400

remind (3.0.16-2) unstable; urgency=low

  * changed depends: tk42 to suggests: tk42

 -- Paul Haggart <phaggart@debian.org>  Tue, 12 Aug 1997 23:32:26 +0000

remind (3.0.16-1) unstable; urgency=low

  * recompiled for libc6
  * changed email address to @debian.org

 -- Paul Haggart <phaggart@debian.org>  Sun, 22 Jun 1997 19:46:10 -0400

remind (3.0.16-0) unstable; urgency=low

  * new upstream source

 -- Paul Haggart <phaggart@cybertap.com>  Wed, 26 Feb 1997 19:42:25 -0500

remind (3.0.15-1) unstable; urgency=low

  * Initial release

 -- Paul Haggart <phaggart@cybertap.com>  Wed, 6 Nov 1996 14:04:47 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: remind
Section: utils
Priority: optional
Maintainer: Paul Haggart <phaggart@debian.org>
Standards-Version: 3.1.0

Package: remind
Architecture: any
Depends: ${shlibs:Depends}
Suggests: tcl, wish
Build-Depends: debconf
Description: a sophisticated reminder service
 Remind allows you to remind yourself of upcoming events and appointments 
 via a reasonably easy to understand config file.  Each reminder or alarm 
 can consist of a message sent to standard output, or a program to be 
 executed.
 .
 It also features: sophisticated date calculation, moon phases,
 sunrise/sunset, Hebrew calendar, alarms, PostScript output, tcl/tk
 front-end, multilingual messages, and proper handling of
 holidays.
 .
 Includes scripts for making a nice WWW calendar server 
 (in the /usr/share/doc/remind/examples directory). And provides a 
 graphical front-end for people who don't want to learn the scripting
 language.

=== debian/rules ===
#!/usr/bin/make -f
# GPL copyright 2000 Javier Fernndez-Sanguino Pea

package=remind
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1


build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-rm `find . -name "*~"`
	-make clean
	./unconfigure
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=`pwd`/debian/tmp/usr mandir=`pwd`/debian/tmp/usr/share/man/
	# move tkremind stuff to X11R6 dirs
	mv debian/tmp/usr/share/man/man1/tkremind.1 debian/tmp/usr/X11R6/man/man1/tkremind.1x
	mv debian/tmp/usr/share/man/man1/cm2rem.1 debian/tmp/usr/share/man/man1/cm2rem.tcl.1
	mv debian/tmp/usr/bin/tkremind debian/tmp/usr/X11R6/bin/tkremind

binary-indep:	build install
# Nothing to do

binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs www docs/* ACKNOWLEDGEMENTS README
	dh_installexamples examples/* tests
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Installed by 'install'
#	dh_installmanpages 
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
# 	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## remind 03.00.24

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Top-level Makefile for Remind.
 
-# $Id: Makefile,v 1.27 1998/01/19 03:27:36 dfs Exp $
+# $Id: Makefile,v 1.28 1998/05/06 01:51:12 dfs Exp $
 
 all: src/Makefile
 	@echo ""
@@ -26,6 +26,8 @@
 	find . -name '*~' -exec rm {} \;
 	cd src; $(MAKE) clean
 
+distclean: clean
+	rm -f config.cache config.log config.status src/Makefile src/config.h
 
 src/Makefile: src/Makefile.in
 	./configure

=== www/Makefile ===
# Makefile for installing WWW server calendar scripts
# This file is part of REMIND.
# Copyright (C) 1992-1997 by David F. Skoll
# Copyright (C) 1999 by Roaring Penguin Software Inc.

# $Id: Makefile,v 1.13 2000/06/26 14:44:17 dfs Exp $

# The complete name of your www host.  Example: www.mycompany.com
WWWHOST = localhost
# WWWHOST = www.mycompany.com
 
# The complete path to where the scripts actually live, as seen by
# the UNIX operating system.
SCRIPTDIR = /home/httpd/cgi-bin
# SCRIPTDIR = /home/dfs/Remind/www/TEST

# Where the scripts live as seen by the web browser.  If
# they live in WWWHOST/cgi-bin, supply /cgi-bin
CGIDIR = /cgi-bin

# The complete path to the directory containing the HTML file "calendar.html".
#  This is a sample file containing links to all the scripts.  This path
# should be the path as seen by the UNIX operating system
HTMLDIR = /home/httpd/html/remind

# Where you stick images, as seen by UNIX
IMAGEDIR = /home/httpd/html/remind

# Where images are, as seen by web browers
IMAGEBASE = /remind

# Location.  Typically, the name of your city or town.  Example: Ottawa
LOCATION = Ottawa
# LOCATION = New York

# Where do Remind and Rem2PS executables live?
REMIND = /usr/local/bin/remind
REM2PS = /usr/local/bin/rem2ps

# If your Web server requires CGI programs to have a .cgi suffix, use
# the next line.  Otherwise, comment it out
CGISUFFIX=.cgi

# Don't change stuff below here.
# --------------------------------------------------------------------

# Construct a rotten mean nasty sed script to do the dirty work
SEDSCRIPT = -e 's/Ottawa/$(LOCATION)/g' \
	    -e 's@http://your.machine/your.dir@http://$(WWWHOST)$(CGIDIR)@g' \
	    -e 's@%SCRIPTDIR%@$(SCRIPTDIR)@g' \
	    -e 's@%REMIND%@$(REMIND)@g' \
	    -e 's@%IMAGEBASE%@$(IMAGEBASE)@g' \
	    -e 's@%REM2PS%@$(REM2PS)@g' \
	    -e 's@cal_dispatch@cal_dispatch$(CGISUFFIX)@g' \
	    -e 's@rem2html@rem2html$(CGISUFFIX)@g'

SEDSCRIPT2 = -e 's/Ottawa/$(LOCATION)/g' \
	    -e 's@http://your.machine/your.dir@http://$(WWWHOST)$(CGIDIR)@g' \
	    -e 's@%SCRIPTDIR%@$(SCRIPTDIR)@g' \
	    -e 's@%REMIND%@$(REMIND)@g' \
	    -e 's@%IMAGEBASE%@$(IMAGEBASE)@g' \
	    -e 's@%REM2PS%@$(REM2PS)@g'

all:
	@echo "Edit the Makefile; then type 'make install' to install"
	@echo "the www server scripts."

# OK, it's abominable.  But it works...
install:
	-mkdir $(SCRIPTDIR)
	cp calps hebdate hebps hebhtml moon sunrise sunset $(SCRIPTDIR)
	sed $(SEDSCRIPT) < cal_dispatch-DIST  > $(SCRIPTDIR)/cal_dispatch$(CGISUFFIX)
	sed $(SEDSCRIPT)  < hebdate.rem-DIST   > $(SCRIPTDIR)/hebdate.rem
	sed $(SEDSCRIPT)  < moon.rem-DIST      > $(SCRIPTDIR)/moon.rem
	sed $(SEDSCRIPT)  < sunrise.rem-DIST   > $(SCRIPTDIR)/sunrise.rem
	sed $(SEDSCRIPT)  < sunset.rem-DIST    > $(SCRIPTDIR)/sunset.rem
	sed $(SEDSCRIPT)  < calendar.html-DIST > $(HTMLDIR)/calendar.html
	sed $(SEDSCRIPT)  < hebhtml            > $(SCRIPTDIR)/hebhtml
	sed $(SEDSCRIPT2) < rem2html           > $(SCRIPTDIR)/rem2html$(CGISUFFIX)
	chmod 644 $(SCRIPTDIR)/sunrise.rem
	chmod 644 $(SCRIPTDIR)/moon.rem
	chmod 644 $(SCRIPTDIR)/hebdate.rem
	chmod 644 $(SCRIPTDIR)/sunset.rem
	chmod 644 $(HTMLDIR)/calendar.html
	chmod 755 $(SCRIPTDIR)/cal_dispatch$(CGISUFFIX)
	chmod 755 $(SCRIPTDIR)/rem2html$(CGISUFFIX)
	chmod 755 $(SCRIPTDIR)/calps $(SCRIPTDIR)/hebdate \
	$(SCRIPTDIR)/hebps $(SCRIPTDIR)/moon $(SCRIPTDIR)/sunrise \
	$(SCRIPTDIR)/sunset $(SCRIPTDIR)/hebhtml $(SCRIPTDIR)/rem2html$(CGISUFFIX)

	-mkdir $(IMAGEDIR)
	cp firstquarter.png fullmoon.png lastquarter.png newmoon.png $(IMAGEDIR)
	chmod 644 $(IMAGEDIR)/firstquarter.png $(IMAGEDIR)/fullmoon.png $(IMAGEDIR)/lastquarter.png $(IMAGEDIR)/newmoon.png

## remind 03.01.04

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 # Top-level Makefile for Remind.
-
-# $Id: Makefile,v 1.28 1998/05/06 01:51:12 dfs Exp $
 
 all: src/Makefile
 	@echo ""
@@ -26,8 +24,14 @@
 	find . -name '*~' -exec rm {} \;
 	cd src; $(MAKE) clean
 
+test:
+	cd src && $(MAKE) test
+
 distclean: clean
-	rm -f config.cache config.log config.status src/Makefile src/config.h
+	rm -f config.cache config.log config.status src/Makefile src/config.h tests/test.out www/Makefile
 
 src/Makefile: src/Makefile.in
 	./configure
+
+# DO NOT DELETE
+

## remind 03.01.10

=== debian/changelog ===
remind (03.01.10-1) unstable; urgency=low

  * New Upstream Version. (Closes: #573184, #566374, #522068)
  * Relax dependency from tclX.X to tcl. (Closes: #605197)
  * Switch from dpatch to quilt.
  * Update copyright date.
  * Update to dhelper compatibility level 8 and Standards-Version 3.9.1.
  * Switch to source format 3.0 (quilt) and DEP-3 headers.
  * Add ${misc:Depends} to quiet lintian.
  * Add a README.Debian file describing the use of rem. (Closes: #505888)
  * Remove DM flag.
  * Modify description to conform with upstream.

 -- Kurt B. Kaiser <kbk@shore.net>  Sat, 02 Apr 2011 17:27:31 -0400

remind (03.01.05-2) unstable; urgency=low

  * New Upstream Version.
  * Update copyright date, add David F. Skoll '92 - '98 copyright.
  * Version the tkremind dependency on remind.
  * 03.01.05-1 was on mentors.d.o for two months.
  * Switch from XS-DM-Upload-Allowed back to DM-Upload-Allowed.

 -- Kurt B. Kaiser <kbk@shore.net>  Fri, 11 Jul 2008 11:12:07 -0400

remind (03.01.04-1) unstable; urgency=low

  * New Upstream Version. (Closes: #442389)
  * Update watch file. (Closes: #449729)
  * Update home page.
  * Switch to dpatch from cdbs simple patch system.
  * Delete 01-optional filename.dpatch, fixed upstream.
  * Delete 02-correct-substitution.dpatch, fixed upstream.
  * Delete 03-broken-postscript.dpatch, fixed upstream.
  * Delete 3 of 4 hunks of 04-manpage-typos, fixed upstream.
  * Add three more typos to 04-manpage-typos per latest lintian.
    (Closes: #422996 )
  * Delete 05-tkremind-newlines.dpatch, fixed upstream.
  * Delete 06-fix-manpage-errors.dpatch, fixed upstream.
  * Update 07-manpage-escape-minuses.dpatch, mostly not fixed yet.
  * Delete 08-eliminate-rem-kall-in-deb-manpage.dpatch, fixed upstream.
  * Update menu to use new section layout.
  * Upstream was stripping, use install-nostripped target. (Closes: #437902)
  * Upstream requested: split package to make tkremind a suggested package.
    This eliminates the dependency on tcl/tk for the core remind program
    and opens a path for a wxRemind package.
  * Remove README.Debian: not needed, upstream removed 'rem' and 'kall'
    executables and replaced the former with a symlink.
  * DST date change bug fixed upstream. (Closes: #413739)
  * Update Standards Version to 3.7.3.
  * Add DM-Upload-Allowed to debian/control.
  * Make Homepage: a field in debian/control.
  * Update debian/copyright.
  * Change rules to remove www/Makefile in clean - it's not in source tarball.
    (09-cleanout-www-makefile.dpatch should be sent upstream)

 -- Kurt B. Kaiser <kbk@shore.net>  Thu, 28 Feb 2008 14:10:09 -0500

remind (03.00.24-4) unstable; urgency=low

  * New maintainer  (Closes: #388426)
  * Update standards version and debhelper compat level
  * Escape minus signs in manpages
  * Remove mention of 'rem' and 'kall' manpages in remind manpage
  * Remove empty lines at end of debian/rules and debian/changelog
  * Rename debian/remind.menu to debian/menu

 -- Kurt B. Kaiser <kbk@shore.net>  Sun,  8 Oct 2006 19:26:37 -0400

remind (03.00.24-3) unstable; urgency=low

  * debian/copyright: list exceptionial files with different copyright
    holders
  
  * debian/control: recommend "wyrd" as an alternative to Tcl/Tk, so that
    users can use "wyrd" as alternate frontend to "tkremind". Thanks to
    Thaddeus H. Black for the suggension (closes: #360278)
  
 -- René van Bevern <rvb@progn.org>  Mon,  3 Apr 2006 14:34:27 +0200

remind (03.00.24-2) unstable; urgency=low

  * Scripts in www/ are examples rather than documentation.
    + debian/docs: remove www
    + debian/examples: add www
    + debian/rules: make examples non-executable

  * debian/control:
    + recommend virtual packages tclsh and wish
    + updated package description

  * debian/watch: added

  * debian/patches/06-fix-manpage-errors.patch: fix some formatting and
    character flaws in manpages remind.1 and cm2rem.1

 -- René van Bevern <rvb@pro-linux.de>  Wed, 14 Dec 2005 16:15:06 +0100

remind (03.00.24-1) unstable; urgency=low

  * New upstream version
  * debian/patches/01-optional-filename.diff: update for new protos.h
  
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- René van Bevern <rvb@pro-linux.de>  Sun, 20 Nov 2005 21:18:10 +0100

remind (03.00.23-6) unstable; urgency=low

  * debian/rules: use cdbs
  * debian/patches/03-broken-postscript.patch: rem2ps shall not
    corrupt generated PostScript (closes: #320415)
  * debian/control: Standards-Version: 3.6.2
  * debian/control: Recommend tk8.4 and tcl8.4 instead of Suggest
    wish and tclsh

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- René van Bevern <rvb@pro-linux.de>  Fri, 29 Jul 2005 14:27:33 +0200

remind (03.00.23-5) unstable; urgency=low

  * Closes: #312814: FTBFS: missing binary-arch target

 -- René van Bevern <rvb@pro-linux.de>  Fri, 10 Jun 2005 11:37:29 +0200

remind (03.00.23-4) unstable; urgency=low

  * Closes: #311029: manpage typos, patch by A Costa <agcosta@gis.net>
  * Closes: #311030: manpage typos, patch by A Costa <agcosta@gis.net>
  * drop dpatch in favor of Darcs (README.Packaging)
  * add 'debian/docs' and 'debian/examples' instead of writing
    filenames into 'debian/rules'

 -- René van Bevern <rvb@pro-linux.de>  Fri,  3 Jun 2005 13:23:52 +0200

remind (03.00.23-3) unstable; urgency=low

  * filename argument to rename is now optional, rem is dropped,
    see "README.Debian" (Closes: #310818)
  * removed patch against #219636 (was caused by rem)
  * added rem's removal to README.Debian
  * updated manpage to new usage
  * added homepage URL to description

 -- René van Bevern <rvb@pro-linux.de>  Thu, 26 May 2005 20:08:51 +0200

remind (03.00.23-2) unstable; urgency=low

  * Closes: #75883: If using tkremind entering body text w/ newline
    causes error

 -- Rene van Bevern <rvb@pro-linux.de>  Sat, 30 Apr 2005 17:39:44 +0200

remind (03.00.23-1) unstable; urgency=low

  * new maintainer
  * use dpatch


=== debian/control ===
Source: remind
Section: utils
Priority: optional
Maintainer: Kurt B. Kaiser <kbk@shore.net>
Build-Depends: debhelper (>= 8), cdbs
Standards-Version: 3.9.1
Homepage: http://www.roaringpenguin.com/products/remind/

Package: remind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tkremind, wyrd
Description: sophisticated calendar and alarm program
 Remind allows you to remind yourself of upcoming events and
 appointments.  Each reminder or alarm can consist of a message sent
 to standard output, or a program to be executed.
 .
 It also features: sophisticated date calculation, moon phases,
 sunrise/sunset, Hebrew calendar, alarms, PostScript output, tcl/tk
 front-end and proper handling of holidays.
 .
 Reminders can be created by the remind scripting language or by using
 the graphical frontend package "tkremind".

Package: tkremind
Architecture: any
Depends: remind (= ${binary:Version}), tk, tcllib, ${misc:Depends}
Description: Tk GUI interface to remind
 Tkremind provides a GUI which allows viewing a calendar and adding or editing
 reminders without learning the syntax of Remind.

## remind 03.01.12

=== debian/changelog ===
remind (03.01.12-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #677711)
  * Remove patches merged upstream: manpage-typos.diff, fix_ftbfs,
    manpage-escape-minuses.diff and cleanout-www-makefile.diff.
  * Update to Standards-Version 3.9.3, no changes required.
  * Improve tkremind's description by adding what remind is.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 16 Jun 2012 17:52:57 +0200

remind (03.01.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with flag -Werror=format-security. (Closes: #643466)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 03 Dec 2011 23:10:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: remind
 Section: utils
 Priority: optional
-Maintainer: Kurt B. Kaiser <kbk@shore.net>
+Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 8), cdbs
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://www.roaringpenguin.com/products/remind/
 
 Package: remind
@@ -26,5 +26,13 @@
 Architecture: any
 Depends: remind (= ${binary:Version}), tk, tcllib, ${misc:Depends}
 Description: Tk GUI interface to remind
+ Remind allows you to remind yourself of upcoming events and
+ appointments.  Each reminder or alarm can consist of a message sent
+ to standard output, or a program to be executed.
+ .
+ It also features: sophisticated date calculation, moon phases,
+ sunrise/sunset, Hebrew calendar, alarms, PostScript output, tcl/tk
+ front-end and proper handling of holidays.
+ .
  Tkremind provides a GUI which allows viewing a calendar and adding or editing
  reminders without learning the syntax of Remind.

## remind 03.01.13

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	cd src; $(MAKE) clean
 
 test:
-	cd src && $(MAKE) test
+	@cd src && $(MAKE) test
 
 distclean: clean
 	rm -f config.cache config.log config.status src/Makefile src/config.h tests/test.out www/Makefile

=== debian/changelog ===
remind (03.01.13-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.9.4, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 15 Jul 2013 23:08:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 8), cdbs
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.roaringpenguin.com/products/remind/
 
 Package: remind

## remind 03.01.15

=== debian/changelog ===
remind (03.01.15-2) unstable; urgency=medium

  * Fix upstream's name. (Closes: #883740)
  * Bump to debhelper compat 10.
  * Update upstream homepage, now uses https.
  * Update to Standards-Version 4.1.4, no changes required.
  * Add Vcs-* fields.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 27 May 2018 22:56:37 +0200

remind (03.01.15-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards-Version 3.9.6, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 29 Jul 2015 22:59:53 +0200

remind (03.01.14-1) unstable; urgency=medium

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 24 Jun 2015 15:41:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: debhelper (>= 8), cdbs
-Standards-Version: 3.9.4
-Homepage: http://www.roaringpenguin.com/products/remind/
+Build-Depends: debhelper (>= 10), cdbs
+Standards-Version: 4.1.4
+Homepage: https://www.roaringpenguin.com/products/remind/
+Vcs-Git: https://salsa.debian.org/debian/remind.git
+Vcs-Browser: https://salsa.debian.org/debian/remind
 
 Package: remind
 Architecture: any

=== debian/watch ===
version=3
https://www.roaringpenguin.com/products/remind \
/files/download/remind-(.*)\.tar\.gz

## remind 03.01.16

=== debian/changelog ===
remind (03.01.16-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage.
  * Update to Standards-Version 4.3.0, no changes required.
  * Include the directory contrib with the examples. (Closes: #802173)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 13 Feb 2019 00:35:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 10), cdbs
-Standards-Version: 4.1.4
-Homepage: https://www.roaringpenguin.com/products/remind/
+Standards-Version: 4.3.0
+Homepage: https://dianne.skoll.ca/projects/remind/
 Vcs-Git: https://salsa.debian.org/debian/remind.git
 Vcs-Browser: https://salsa.debian.org/debian/remind

## remind 03.03.00

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	@echo "*                 *"
 	@echo "*******************"
 	@echo ""
-	@cd src; $(MAKE) all LANGDEF=$(LANGDEF)
+	@cd src && $(MAKE) all LANGDEF=$(LANGDEF)
 
 install:
 	@echo ""
@@ -18,14 +18,14 @@
 	@echo "*                   *"
 	@echo "*********************"
 	@echo ""
-	cd src; $(MAKE) install
+	@cd src && $(MAKE) install
 
 clean:
 	find . -name '*~' -exec rm {} \;
-	cd src; $(MAKE) clean
+	cd src && $(MAKE) clean
 
 test:
-	@cd src && $(MAKE) test
+	@cd src && $(MAKE) -s test
 
 distclean: clean
 	rm -f config.cache config.log config.status src/Makefile src/config.h tests/test.out www/Makefile

=== debian/changelog ===
remind (03.03.00-1) unstable; urgency=medium

  * New upstream release:
    - Add support for events spanning multiple days (Closes: #529277)
    - sunrise() and sunset() should work now (Closes: #742705)
  * Remove patch manpage_fix_typo, fixed upstream
  * Refresh patch do-not-strip.diff
  * Update to Standards-Version 4.5.0, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 09 Feb 2020 14:50:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 10), cdbs
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://dianne.skoll.ca/projects/remind/
 Vcs-Git: https://salsa.debian.org/debian/remind.git
 Vcs-Browser: https://salsa.debian.org/debian/remind

## remind 03.03.01

=== debian/changelog ===
remind (03.03.01-1) unstable; urgency=medium

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 14 Apr 2020 23:47:14 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DESTDIR=$(CURDIR)/debian/tmp/

DEB_MAKE_INSTALL_TARGET := install prefix=$(CURDIR)/debian/tmp/usr \
                                   mandir=$(CURDIR)/debian/tmp/usr/share/man/

clean::
	./unconfigure
	rm -rf www/Makefile

install/tkremind::
	mv debian/tmp/usr/bin/cm2rem.tcl debian/tmp/usr/bin/cm2rem
	dh_installchangelogs docs/WHATSNEW

binary-post-install/remind::
	chmod -R 644 debian/remind/usr/share/doc/remind/examples

=== debian/watch ===
version=3
https://dianne.skoll.ca/projects/remind \
/download/remind-(.*)\.tar\.gz

## remind 03.04.01

=== Makefile ===
# Top-level Makefile for Remind.

all: src/Makefile
	@echo ""
	@echo "*******************"
	@echo "*                 *"
	@echo "* Building REMIND *"
	@echo "*                 *"
	@echo "*******************"
	@echo ""
	@cd src && $(MAKE) all LANGDEF=$(LANGDEF)
	@$(MAKE) -C rem2pdf -f Makefile.top
install:
	@echo ""
	@echo "*********************"
	@echo "*                   *"
	@echo "* Installing REMIND *"
	@echo "*                   *"
	@echo "*********************"
	@echo ""
	@$(MAKE) -C src install
	@$(MAKE) -C rem2html install
	@$(MAKE) -C rem2pdf -f Makefile.top install INSTALL_BASE=$(INSTALL_BASE)
clean:
	find . -name '*~' -exec rm {} \;
	-$(MAKE) -C src clean
	-$(MAKE) -C rem2pdf clean

test:
	@$(MAKE) -C src -s test

distclean: clean
	rm -f config.cache config.log config.status src/Makefile src/config.h tests/test.out www/Makefile rem2pdf/Makefile.top rem2pdf/Makefile.old rem2pdf/Makefile rem2pdf/Makefile.PL rem2pdf/bin/rem2pdf

src/Makefile: src/Makefile.in
	./configure

# DO NOT DELETE

=== debian/changelog ===
remind (03.04.01-1) unstable; urgency=medium

  * New upstream version 03.04.01
  * Rebase patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 23 Feb 2022 18:10:09 +0100

remind (03.04.00-2) unstable; urgency=medium

  * Disable lto for Ubuntu

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 18 Feb 2022 09:42:10 +0100

remind (03.04.00-1) unstable; urgency=medium

  * New upstream version 03.04.00
  * Rebase patches
  * Install rem2html manpage
  * Install rem2pdf

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 10 Feb 2022 23:59:33 +0100

remind (03.03.12-1) unstable; urgency=medium

  [ наб ]
  * Add patch and Build-Depends to use system libjsonparser (Closes: #958256)

  [ Jochen Sprickerhof ]
  * Update d/watch
  * New upstream version 03.03.12 (Closes: #992493)
  * Add myself to Uploaders (with maintainer permission)
  * Rebase patch
  * Add patches for the build system
  * Remove trailing space in d/changelog (lintian)
  * Rewrite d/copyright in DEP5
  * Make tkremind arch all
  * Don't install test files
  * Drop cm2rem (dropped upstream)
  * Switch to dh and bump compat and policy
  * Install rem2html
  * tkremind depends on inotify-tools for inotifywait

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 09 Feb 2022 08:36:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: debhelper (>= 10), cdbs
-Standards-Version: 4.5.0
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>
+Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://dianne.skoll.ca/projects/remind/
 Vcs-Git: https://salsa.debian.org/debian/remind.git
 Vcs-Browser: https://salsa.debian.org/debian/remind
@@ -11,6 +13,7 @@
 Package: remind
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ${perl:Depends}, libjson-maybexs-perl, libpango-perl, libcairo-perl
 Suggests: tkremind, wyrd
 Description: sophisticated calendar and alarm program
  Remind allows you to remind yourself of upcoming events and
@@ -25,8 +28,8 @@
  the graphical frontend package "tkremind".
 
 Package: tkremind
-Architecture: any
-Depends: remind (= ${binary:Version}), tk, tcllib, ${misc:Depends}
+Architecture: all
+Depends: remind, tk, tcllib, inotify-tools, ${misc:Depends}
 Description: Tk GUI interface to remind
  Remind allows you to remind yourself of upcoming events and
  appointments.  Each reminder or alarm can consist of a message sent

=== debian/rules ===
#!/usr/bin/make -f

# for tests
export LANG=C.UTF-8

# for Ubuntu
export DEB_CFLAGS_MAINT_APPEND=-fno-lto

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs docs/WHATSNEW

## remind 04.00.00

=== debian/changelog ===
remind (04.00.00-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 10 Apr 2022 12:04:50 +0200

remind (04.00.00-1) unstable; urgency=medium

  * Fix tests with pbuilder
  * New upstream version 04.00.00
  * Drop -fno-lto
  * rebase patches
  * Install language packs

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 04 Apr 2022 16:18:15 +0200

remind (03.04.02-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 21 Mar 2022 13:59:58 +0100

remind (03.04.02-1) unstable; urgency=medium

  * New upstream version 03.04.02
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Mar 2022 22:56:20 +0100

remind (03.04.01-4) unstable; urgency=medium

  * Add Breaks+Replaces: remind (<< 03.04.01-2)
    Thanks to Andreas Beckmann (Closes: #1007229)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Mar 2022 08:37:42 +0100

remind (03.04.01-3) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Mar 2022 12:06:58 +0100

remind (03.04.01-2) unstable; urgency=medium

  * Move description to source package
  * Add remind-tools package
  * Drop old README.Debian

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Mar 2022 08:49:04 +0100

=== debian/control ===
Source: remind
Section: utils
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://dianne.skoll.ca/projects/remind/
Vcs-Git: https://salsa.debian.org/debian/remind.git
Vcs-Browser: https://salsa.debian.org/debian/remind
Description: sophisticated calendar and alarm program
 Remind allows you to remind yourself of upcoming events and
 appointments.  Each reminder or alarm can consist of a message sent
 to standard output, or a program to be executed.
 .
 It also features: sophisticated date calculation, moon phases,
 sunrise/sunset, Hebrew calendar, alarms, PostScript output, tcl/tk
 front-end and proper handling of holidays.

Package: remind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: remind-tools
Suggests: tkremind, wyrd
Description: ${source:Synopsis} - remind executable
 ${source:Extended-Description}
 .
 Reminders can be created by the remind scripting language or by using
 the graphical frontend package "tkremind".

Package: remind-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libjson-maybexs-perl, libpango-perl, libcairo-perl
Breaks: remind (<< 03.04.01-2)
Replaces: remind (<< 03.04.01-2)
Description: ${source:Synopsis} - rem2pdf,pdf,html tools
 ${source:Extended-Description}
 .
 Tools to convert the remind output to ps, pdf or html as well as example
 files.

Package: tkremind
Architecture: all
Depends: remind, tk, tcllib, inotify-tools, ${misc:Depends}
Description: ${source:Synopsis} - Tk GUI interface
 ${source:Extended-Description}
 .
 Tkremind provides a GUI which allows viewing a calendar and adding or editing
 reminders without learning the syntax of Remind.

=== debian/rules ===
#!/usr/bin/make -f

# for tests
export LANG=C.UTF-8
export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs docs/WHATSNEW

## remind 04.00.03

=== debian/changelog ===
remind (04.00.03-1) unstable; urgency=medium

  * New upstream version 04.00.03

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 16 Aug 2022 16:54:45 +0200

remind (04.00.02-1) unstable; urgency=medium

  * New upstream version 04.00.02

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 02 Aug 2022 21:31:36 +0200

remind (04.00.01-1) unstable; urgency=medium

  * Add upstream source
  * New upstream version 04.00.01
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 04 Jun 2022 10:15:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://dianne.skoll.ca/projects/remind/
 Vcs-Git: https://salsa.debian.org/debian/remind.git
